import { html as n } from "lit";
import { property as i } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, o = (a, e, p, r) => {
  for (var t = r > 1 ? void 0 : r ? g(e, p) : e, h = a.length - 1, s; h >= 0; h--)
    (s = a[h]) && (t = (r ? s(e, p, t) : s(t)) || t);
  return r && t && f(e, p, t), t;
};
let c = class extends l {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--cc2Large", this.class = "c-pieIcon c-pieIcon--cc2Large", this.name = "IconCc2Large";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--cc2Large"><path d="M26.894 5.796H5.115c-1.208 0-2.188.98-2.188 2.188v16.441c0 1.207.98 2.188 2.188 2.188h21.779c1.207 0 2.187-.98 2.187-2.188V7.984c0-1.208-.98-2.188-2.187-2.188m.437 18.62a.433.433 0 0 1-.437.438H5.115a.433.433 0 0 1-.438-.438V7.984c0-.245.193-.438.438-.438h21.779c.245 0 .437.193.437.438v16.441z"></path><path d="M19.351 21.328H6.49v1.75H19.35z"></path><path d="M10.601 17.793H6.49v1.75H10.6z"></path><path d="M25.608 21.328H21.11v1.75h4.498z"></path><path d="M16.481 17.793H12.37v1.75h4.112z"></path><path d="M25.608 17.793h-7.403v1.75h7.403z"></path><path d="M25.555 14.266h-8.601v1.75h8.601z"></path><path d="M15.186 14.266H6.55v1.75h8.636z"></path></svg>`;
  }
};
o([
  i({ type: String, reflect: !0 })
], c.prototype, "size", 2);
o([
  i({ type: String, reflect: !0 })
], c.prototype, "class", 2);
c = o([
  v("icon-cc2-large")
], c);
export {
  c as IconCc2Large
};
